UptimeUptime Wiki

Host

Parameters

Path Parameters
id*integer

Entity id

Formatint64
Range0 <= value

Try the endpoint

GET
/api/v1/hosts/{id}

Code example

curl -X GET "https://example.com/api/v1/hosts/0"

Response example

{  "id": 0,  "display_name": "string",  "display_name_plain": "string",  "rack_id": 0,  "az_id": 0,  "start_u": 0,  "u_size": 0,  "sku_name": "string",  "arch": "string",  "accelerator": "string",  "label": "string",  "visual": {    "status": "Idle",    "indicator": "Off",    "fan": "Off",    "port": {      "link": "Down",      "active": true    },    "accelerator_glow": 0.1  },  "unit_count": 0,  "stranded_unit_count": 0,  "online": true,  "powered": true,  "power_feeds": 0,  "mem_requested_pct": 0.1,  "cpu_requested_pct": 0.1,  "ssd_used_pct": 0.1,  "wear_factor": 0.1,  "iops_actual": 0,  "iops_capacity": 0,  "nic_count": 0,  "ports": [    {      "index": 0,      "label": "string",      "link": "Down",      "active": true,      "cable_ids": [        0      ],      "peer": null,      "port_id": 0,      "state": "string",      "media": "string",      "gbps_tx": 0.1,      "gbps_rx": 0.1,      "link_capacity_gbps": 0,      "error_count": 0,      "bytes_egress_total": 0,      "bytes_ingress_total": 0,      "link_flaps": 0,      "cable_able": true,      "connector": "string",      "color": "string",      "breakout_used_gbps": 0,      "breakout_capacity_gbps": 0,      "breakout_leg_count": 0    }  ],  "egress_gbps": 0.1,  "ingress_gbps": 0.1,  "served_customer_ids": [    0  ],  "inv_status": "string",  "age_hours": 0,  "power_on_hours": 0,  "condition_pct": 0,  "mtbf_hours": 0,  "resale_dollars": 0.1,  "pool_id": 0,  "service_classes": [    "string"  ],  "vgpu_slices_total": 0,  "vgpu_slices_used": 0,  "gpu_mem_mb_total": 0,  "gpu_mem_mb_used": 0,  "nic_module_slots": 0,  "nic_modules_installed": 0,  "free_vcpu_milli": 0,  "free_mem_mb": 0,  "free_ssd_gb": 0,  "free_ssd_iops": 0,  "physical_vcpu": 0,  "physical_mem_mb": 0,  "physical_ssd_gb": 0,  "allocated_millivcpu": 0,  "used_millivcpu": 0,  "overcommit_target": 0.1,  "overcommit_max": 0.1,  "contention_state": "string",  "monthly_cost_direct_dollars": 0.1,  "monthly_cost_facility_dollars": 0.1,  "monthly_cost_total_dollars": 0.1,  "facility_basis": 0.1}

Response body

200The entity
application/json

On this page